"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.load = void 0;
const typedoc_1 = require("typedoc");
const copy_assets_1 = require("./copy-assets");
const copy_assets_options_1 = require("./copy-assets-options");
/**
 * Load the plugin.
 *
 * @param pluginHost Plugin host to load to.
 */
function load(pluginHost) {
    const app = pluginHost.owner;
    pluginHost.options.addDeclaration({
        name: copy_assets_options_1.optionsKey,
        help: 'Copy assets plugin options.',
        type: typedoc_1.ParameterType.Object,
        defaultValue: copy_assets_options_1.defaultOptions,
    });
    new copy_assets_1.CopyAssets().initialize(app);
}
exports.load = load;
//# sourceMappingURL=index.js.map